> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Diff an org config bundle

> Dry run for an org config apply: returns the projected project and member changes without writing anything. Run this before apply to preview what would change.



## OpenAPI

````yaml /api-reference/openapi.documented.json post /v1/org/config/diff
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Customer Flow
  - name: Customer Flow Edge Case
  - name: Simulation
  - name: Simulation Persona
  - name: Simulation Environment
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Template
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Autoimprove
  - name: Agent Config
  - name: Knowledge Base
  - name: Config
  - name: Organization Project
  - name: Organization Project Member
  - name: Organization Project API Key
  - name: Organization Config
  - name: CLI Auth
  - name: Me
  - name: Project
  - name: Benchmark
  - name: Health
paths:
  /v1/org/config/diff:
    post:
      tags:
        - Organization Config
      summary: Diff an org config bundle
      description: >-
        Dry run for an org config apply: returns the projected project and
        member changes without writing anything. Run this before apply to
        preview what would change.
      operationId: postV1OrgConfigDiff
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgConfigBundle'
      responses:
        '200':
          description: The projected changes
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/OrgConfigDiffResponse'
                required:
                  - data
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Validation error
              example:
                type: validation
                code: invalid_parameter
                message: The request was invalid
                param: email
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
components:
  schemas:
    OrgConfigBundle:
      type: object
      properties:
        resources:
          type: array
          items:
            $ref: '#/components/schemas/ProjectConfig'
        prune:
          type: boolean
          default: true
      required:
        - resources
    OrgConfigDiffResponse:
      type: object
      properties:
        changes:
          type: array
          items:
            $ref: '#/components/schemas/OrgConfigDiffChange'
        summary:
          $ref: '#/components/schemas/OrgConfigDiffSummary'
      required:
        - changes
        - summary
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
    ProjectConfig:
      type: object
      properties:
        kind:
          type: string
          const: project
        name:
          type: string
          pattern: ^[a-z0-9][a-z0-9-_.]*$
          minLength: 1
        displayName:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
          maxLength: 2000
        category:
          type: string
          enum:
            - HEALTHCARE
            - FINANCIAL
            - RETAIL
            - HOSPITALITY
            - AUTOMOTIVE
            - GOVERNMENT
            - EDUCATION
            - REAL_ESTATE
            - OTHER
        dataStorageRegion:
          type: string
          enum:
            - US_EAST_1
            - EU_WEST_1
        members:
          type: array
          items:
            $ref: '#/components/schemas/OrgProjectMemberConfig'
      required:
        - kind
        - name
    OrgConfigDiffChange:
      type: object
      properties:
        configKey:
          type: string
        kind:
          type: string
          enum:
            - project
        name:
          type: string
        op:
          type: string
          enum:
            - create
            - update
            - delete
            - noop
        detail:
          type: string
        members:
          type: array
          items:
            type: object
            properties:
              email:
                type: string
              op:
                type: string
                enum:
                  - create
                  - update
                  - delete
                  - noop
              role:
                type: string
            required:
              - email
              - op
      required:
        - configKey
        - kind
        - name
        - op
    OrgConfigDiffSummary:
      type: object
      properties:
        create:
          type: integer
        update:
          type: integer
        delete:
          type: integer
        noop:
          type: integer
      required:
        - create
        - update
        - delete
        - noop
    OrgProjectMemberConfig:
      type: object
      properties:
        email:
          type: string
          format: email
        role:
          type: string
          enum:
            - OWNER
            - ADMIN
            - MEMBER
            - VIEWER
      required:
        - email
        - role
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````